Migrate Quantum references to Neutron

Bug #1197208 reported by Mark McClain on 2013-07-03
18
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Ceilometer
Undecided
Mark McClain
OpenStack Compute (nova)
Low
Mark McClain
OpenStack Dashboard (Horizon)
Low
Mark McClain
OpenStack Heat
Fix Released
Critical
Steven Dake
OpenStack Identity (keystone)
Low
Mark McClain
tempest
Undecided
Mark McClain

Bug Description

The Quantum project is being renamed to Neutron. The references need to be updated to Neutron.

Changed in ceilometer:
assignee: nobody → Mark McClain (markmcclain)

Fix proposed to branch: master
Review: https://review.openstack.org/35424

Changed in ceilometer:
status: New → In Progress
Changed in nova:
assignee: nobody → Mark McClain (markmcclain)
Changed in heat:
assignee: nobody → Mark McClain (markmcclain)

Fix proposed to branch: master
Review: https://review.openstack.org/35430

Changed in heat:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/35433

Changed in keystone:
assignee: nobody → Mark McClain (markmcclain)
status: New → In Progress
Michael Still (mikal) on 2013-07-03
Changed in nova:
status: New → Triaged
importance: Undecided → Low
tags: added: low-hanging-fruit
Changed in horizon:
assignee: nobody → Mark McClain (markmcclain)
Changed in horizon:
status: New → Confirmed

Reviewed: https://review.openstack.org/35424
Committed: http://github.com/openstack/ceilometer/commit/ef17d89e0869973c25aa027430fbe446bba55e4b
Submitter: Jenkins
Branch: master

commit ef17d89e0869973c25aa027430fbe446bba55e4b
Author: Mark McClain <email address hidden>
Date: Tue Jul 2 21:09:02 2013 -0400

    update Quantum references to Neutron

    implements bug 1197208

    Change-Id: I5b9467a0534a0842b0262efa79f316178780f0bd

Changed in ceilometer:
status: In Progress → Fix Committed
Changed in horizon:
status: Confirmed → In Progress
Dolph Mathews (dolph) on 2013-07-05
Changed in python-keystoneclient:
importance: Undecided → Low
Changed in keystone:
assignee: Mark McClain (markmcclain) → Dolph Mathews (dolph)
Dolph Mathews (dolph) on 2013-07-05
Changed in python-keystoneclient:
status: New → Confirmed
Changed in keystone:
importance: Undecided → Low
Dolph Mathews (dolph) wrote :

My mistake, didn't see that this was already in progress.

Changed in keystone:
assignee: Dolph Mathews (dolph) → Mark McClain (markmcclain)
no longer affects: python-keystoneclient

Reviewed: https://review.openstack.org/35433
Committed: http://github.com/openstack/keystone/commit/bf943c6a34909edb233be55630fdcd3f73dbab61
Submitter: Jenkins
Branch: master

commit bf943c6a34909edb233be55630fdcd3f73dbab61
Author: Mark McClain <email address hidden>
Date: Tue Jul 2 23:42:04 2013 -0400

    rename quantum to neutron in docs

    implements bug: 1197208

    Change-Id: Icb7e7d4212e53cd55281a42fb2cd26b243d79eb8

Changed in keystone:
status: In Progress → Fix Committed
Changed in nova:
status: Triaged → In Progress
Changed in tempest:
assignee: nobody → Mark McClain (markmcclain)
status: New → In Progress

Reviewed: https://review.openstack.org/35969
Committed: http://github.com/openstack/tempest/commit/f2982e85440491dcd0e5b3b372b914672d0813be
Submitter: Jenkins
Branch: master

commit f2982e85440491dcd0e5b3b372b914672d0813be
Author: Mark McClain <email address hidden>
Date: Sat Jul 6 17:48:03 2013 -0400

    update Quantum to Neutron

    Update to use the neutronclient library and replaces Quantum references within
    the repository.

    implements bug: 1197208

    Change-Id: Ib3d52e3d9671fe4b30c4bcf76b5e7c2ee9de4664

Changed in tempest:
status: In Progress → Fix Released
Changed in nova:
assignee: Mark McClain (markmcclain) → Aaron Rosen (arosen)
Changed in nova:
assignee: Aaron Rosen (arosen) → James E. Blair (corvus)
David Lyle (david-lyle) on 2013-07-12
Changed in horizon:
importance: Undecided → Low
status: In Progress → Fix Committed
Changed in nova:
assignee: James E. Blair (corvus) → Mark McClain (markmcclain)

Reviewed: https://review.openstack.org/35425
Committed: http://github.com/openstack/nova/commit/566a44fbdf2516063f34598ba167a4582b90fdac
Submitter: Jenkins
Branch: master

commit 566a44fbdf2516063f34598ba167a4582b90fdac
Author: Mark McClain <email address hidden>
Date: Tue Jul 2 21:20:28 2013 -0400

    update Quantum usage to Neutron

    This change updates to use the neutron client library and provides
    backwards compatiblity with the network_api_class.

    implements bug: 1197208

    Change-Id: Ia6c74e40eff516a0fcbe53fdc48e16fb0f98e864

Changed in nova:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-07-17
Changed in horizon:
milestone: none → havana-2
status: Fix Committed → Fix Released
Changed in nova:
milestone: none → havana-2
status: Fix Committed → Fix Released
Changed in keystone:
milestone: none → havana-2
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-07-17
Changed in ceilometer:
milestone: none → havana-2
status: Fix Committed → Fix Released
Steven Hardy (shardy) on 2013-07-22
Changed in heat:
milestone: none → havana-3
Changed in heat:
importance: Undecided → High
Steven Dake (sdake) on 2013-08-07
Changed in heat:
assignee: Mark McClain (markmcclain) → Steven Dake (sdake)
importance: High → Critical

Reviewed: https://review.openstack.org/40537
Committed: http://github.com/openstack/heat/commit/ed0fb7e82335ceb97d8ae7226f0789ad3a79d913
Submitter: Jenkins
Branch: master

commit ed0fb7e82335ceb97d8ae7226f0789ad3a79d913
Author: Steven Dake <email address hidden>
Date: Tue Aug 6 19:41:26 2013 -0700

    Rename Quantum to Neutron

    quantumclient is gone upstream and has been replaced by neutronclient.

    This patch retains the OS::Quantum::XX namespace

    Fixes: bug #1197208

    Change-Id: Id48f9598ea1884132d411ad533770ae49494102b

Changed in heat:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-09-05
Changed in heat:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-17
Changed in ceilometer:
milestone: havana-2 → 2013.2
Thierry Carrez (ttx) on 2013-10-17
Changed in heat:
milestone: havana-3 → 2013.2
Thierry Carrez (ttx) on 2013-10-17
Changed in nova:
milestone: havana-2 → 2013.2
Thierry Carrez (ttx) on 2013-10-17
Changed in keystone:
milestone: havana-2 → 2013.2
Thierry Carrez (ttx) on 2013-10-17
Changed in horizon:
milestone: havana-2 → 2013.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers